﻿using OOOWriteAndClear.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace OOOWriteAndClear.DataBase
{
    public partial class Product
    {
        public string ImagePath
        {
            get
            {
                if (this.ProductPhoto == null || this.ProductPhoto.Length == 0) return "Resources\\Images\\picture.png";
                return "Resources\\Images\\" + ProductPhoto.Trim();
            }
        }

        public decimal CostWithDiscount
        {
            get => ProductCost - ProductCost * ((decimal)ProductDiscountMax / 100);
        }

        public SolidColorBrush ItemBackground => (ProductDiscountMax > 15)? new SolidColorBrush((Color)ColorConverter.ConvertFromString("#7fff00")) : new SolidColorBrush(Colors.White);
    }
}
